Update debt
curl --request PATCH \
--url https://api.example.com/v1/cases/{case_id}/debts/{debt_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"creditor_name": "<string>",
"account_number": "<string>",
"balance": 123,
"credit_limit": 123,
"interest_rate": 123,
"is_joint_account": true,
"joint_holder_name": "<string>",
"collection_agency": "<string>",
"original_creditor": "<string>",
"institution_contact_id": "<string>",
"notes": "<string>"
}
'import requests
url = "https://api.example.com/v1/cases/{case_id}/debts/{debt_id}"
payload = {
"creditor_name": "<string>",
"account_number": "<string>",
"balance": 123,
"credit_limit": 123,
"interest_rate": 123,
"is_joint_account": True,
"joint_holder_name": "<string>",
"collection_agency": "<string>",
"original_creditor": "<string>",
"institution_contact_id": "<string>",
"notes": "<string>"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
creditor_name: '<string>',
account_number: '<string>',
balance: 123,
credit_limit: 123,
interest_rate: 123,
is_joint_account: true,
joint_holder_name: '<string>',
collection_agency: '<string>',
original_creditor: '<string>',
institution_contact_id: '<string>',
notes: '<string>'
})
};
fetch('https://api.example.com/v1/cases/{case_id}/debts/{debt_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "01K9CD01AJ0T22HRYE78AN7CCC",
"case_id": "<string>",
"debt_type": "CRC",
"creditor_name": "Capital One",
"account_number": "***5678",
"condition": "OPEN",
"responsibility": "I",
"balance": 4523.89,
"credit_limit": 123,
"minimum_payment": 123,
"interest_rate": 24.99,
"is_joint_account": false,
"joint_holder_name": "<string>",
"collection_agency": "<string>",
"original_creditor": "<string>",
"credit_bureau_source": "experian",
"last_payment_date": "2023-12-25",
"notification_status": "not_notified",
"notification_date": "2023-12-25",
"institution_contact_id": "<string>",
"notes": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}
}{
"error": {
"code": "not_found",
"message": "The requested resource was not found."
}
}{
"error": {
"code": "validation_error",
"message": "The request body contains invalid fields.",
"details": [
{
"field": "email",
"message": "Must be a valid email address."
}
]
}
}Credit Cards & Debts
Update debt
PATCH
/
cases
/
{case_id}
/
debts
/
{debt_id}
Update debt
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Available options:
AGR, AUL, AUT, AO, ATY, BCC, BMP, BPG, BUS, C/C, C/G, C/M, C/S, CCP, CEL, CGA, CHG, CIL, CKG, CLC, CLS, COL, CON, COS, CRC, CSA, CSL, D/C, DCS, DEP, EDU, EXM, F/C, F/S, FCO, FHA, FMH, FSC, G/B, G/F, G/G, GEA, GFS, GMD, GOP, H+O, H/E, HEI, H/I, HHG, I/L, INS, ISC, LBP, LEA, LPI, LIC, M/H, MED, MRI, NCS, NTE, P/S, PHG, PPI, R/C, R/E, R/F, R/O, R/S, R/V, RCK, REC, REN, RES, S/S, SCC, SAA, SC0, SDL, SEC, SGL, SHI, SMP, SUM, TSL, UDL, UGL, UNK, UNS, UTI, ZZZ, 7B, 3A, 00, 95, 8A, 85, 9B, 10, 15, 98, 6B, 93, 37, 4D, 6C, 07, G1, 96, 7A, 47, 48, 91, 14, 18, 5C, 0F, 43, 34, 8B, 12, 33, 16, 50, 0C, 05, 2C, 75, 71, 69, 73, 72, 74, 70, 23, 89, 6D, 04, 22, 78, 49, 06, 1B, 13, 1A, 3C, 17, 90, 86, 21, 20, 03, 1C, 83, 26, 08, 19, 27, 5B, 25, 77, 11, 29, 5A, 94, 2A, 7C, 09, 68, 02, 66, 9A, 87, 30, 0A, 67, 65, 31, 01, 92, ZZ, 0G Full account number.
Available options:
DECEASED, CHARGEOFF, BANKRUPTCY, TRANSFER, REPOSSESSION, CLOSED, BANKRUPTCYPET, COLLECTIONS, DELINQUENT120, DELINQUENT90, DELINQUENT60, DELINQUENT30, REFINANCED, LOST, OPEN, PAID, UNKNOWN The deceased's responsibility for the debt.
Available options:
1, B, I, 8, C, 5, S, 2, J, 4, P, 3, A, 7, M, 0, O, U, 9, T, X, null Available options:
not_notified, notified, acknowledged, resolved Response
Debt updated.
Show child attributes
Show child attributes

